/*
 * =====================================================================================
 *
 *       Filename:  entry.c
 *
 *    Description:  
 *
 *        Version:  1.0
 *        Created:  11/25/2008 02:59:06 PM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  PT_SWing (Man), pentie@gmail.com
 *        Company:  Nowhere, Earth
 *
 * =====================================================================================
 */

#include <gtk/gtk.h>
#include	<cstdlib>
#include	<iostream>
typedef struct {
	GtkWidget               *window;
	GtkWidget				*entry;
}EntryTest ;				/* ----------  end of struct EntryTest  ---------- */

void on_add_clicked (GtkObject *object, EntryTest *test);
void on_window_destroy (GtkObject *object, EntryTest *test);
void on_exit_clicked (GtkObject *object, EntryTest *test);



void init_app (EntryTest *test);
int
main ( int argc, char *argv[] )
{
	EntryTest   *test;
	test = g_slice_new (EntryTest);
    gtk_init (&argc, &argv);
	init_app (test);
	gtk_widget_show (test->window);
	gtk_main ();
	g_slice_free (EntryTest, test);

	return EXIT_SUCCESS;
}				/* ----------  end of function main  ---------- */

void init_app (EntryTest *test)
{
    GtkBuilder              *builder;
    builder = gtk_builder_new ();
	gtk_builder_add_from_file (builder, "entry.xml", NULL);
	test->window = GTK_WIDGET (gtk_builder_get_object (builder, 
                                                             "window"));
	test->entry = GTK_WIDGET (gtk_builder_get_object (builder, 
                                                             "entry"));
	gtk_builder_connect_signals (builder, test);
	g_object_unref (G_OBJECT (builder));

}

void on_add_clicked (GtkObject *object, EntryTest *test)
{
	const gchar *text;
	GtkEntry *entry = (GtkEntry *)test->entry;
	gtk_entry_append_text(entry, "ADD");
	text = gtk_entry_get_text (entry);
	g_print("%s\n", text);
	std::cout << text <<std::endl;
}
void on_exit_clicked (GtkObject *object, EntryTest *test)
{
	gtk_main_quit();
}

void 
on_window_destroy (GtkObject *object, EntryTest *test)
{
		gtk_main_quit();
}

